%global with_tests 0%{?_with_tests:1}
Name:           python-ptyprocess
Version:        0.6.0
Release:        4
Summary:        Run a subprocess in a pseudo terminal

License:        ISC
URL:            https://github.com/pexpect/ptyprocess
Source0:        https://files.pythonhosted.org/packages/source/p/ptyprocess/ptyprocess-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest

%description
Launch a subprocess in a pseudo terminal (pty), and interact with both the
process and its pty.

Sometimes, piping stdin and stdout is not enough. There might be a password
prompt that doesn't read from stdin, output that changes when it's going to a
pipe rather than a terminal, or curses-style interfaces that rely on a terminal.
If you need to automate these things, running the process in a pseudo terminal
(pty) is the answer.

%package -n python%{python3_pkgversion}-ptyprocess
Summary:        Run a subprocess in a pseudo terminal
%python_provide python%{python3_pkgversion}-ptyprocess
%description -n python%{python3_pkgversion}-ptyprocess
Launch a subprocess in a pseudo terminal (pty), and interact with both the
process and its pty.

Sometimes, piping stdin and stdout is not enough. There might be a password
prompt that doesn't read from stdin, output that changes when it's going to a
pipe rather than a terminal, or curses-style interfaces that rely on a terminal.
If you need to automate these things, running the process in a pseudo terminal
(pty) is the answer.

%prep
%autosetup -n ptyprocess-%{version} -p1

%build
LC_ALL=en_US.UTF-8 \
    %py3_build

%install
LC_ALL=en_US.UTF-8 \
    %py3_install

%check
%if %{with_tests}
%{_bindir}/py.test-3.* -v
%endif

%files -n python%{python3_pkgversion}-ptyprocess
%doc LICENSE README.rst
%{python3_sitelib}/ptyprocess/
%{python3_sitelib}/ptyprocess-%{version}-py?.?.egg-info

%changelog
* Mon Nov 09 2020 leiju <leiju4@huawei.com> - 0.6.0-4
- remove python2 subpackage

* Tue Feb 18 2020 chenli <chenli147@huawei.com> - 0.6.0-3
- init package

